org.eclipse.ecf.core.util

## Class ClassResolverObjectInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.ObjectInputStream
    - - org.eclipse.ecf.core.util.ClassResolverObjectInputStream

All Implemented Interfaces:
  Closeable, DataInput, ObjectInput, ObjectStreamConstants, AutoCloseable

    public class ClassResolverObjectInputStream
    extends ObjectInputStream

Since:
  3.7

### Nested Class Summary

### Nested classes/interfaces inherited from class java.io.ObjectInputStream

`ObjectInputStream.GetField`

### Field Summary

Fields
`static HashMap<String,Class<?>>` `primClasses`

### Fields inherited from interface java.io.ObjectStreamConstants

`baseWireHandle, PROTOCOL_VERSION_1, PROTOCOL_VERSION_2, SC_BLOCK_DATA, SC_ENUM, SC_EXTERNALIZABLE, SC_SERIALIZABLE, SC_WRITE_METHOD, STREAM_MAGIC, STREAM_VERSION, SUBCLASS_IMPLEMENTATION_PERMISSION, SUBSTITUTION_PERMISSION, TC_ARRAY, TC_BASE, TC_BLOCKDATA, TC_BLOCKDATALONG, TC_CLASS, TC_CLASSDESC, TC_ENDBLOCKDATA, TC_ENUM, TC_EXCEPTION, TC_LONGSTRING, TC_MAX, TC_NULL, TC_OBJECT, TC_PROXYCLASSDESC, TC_REFERENCE, TC_RESET, TC_STRING`

### Constructor Summary

Constructors
`protected` `ClassResolverObjectInputStream(BundleContext ctxt)`
`` `ClassResolverObjectInputStream(BundleContext ctxt, InputStream ins)`
`` `ClassResolverObjectInputStream(BundleContext ctxt, InputStream ins, String classResolverFilter)`
`protected` `ClassResolverObjectInputStream(BundleContext ctxt, String classResolverFilter)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ObjectInputStream` `create(BundleContext ctxt, InputStream ins)`
`static ObjectInputStream` `create(BundleContext ctxt, InputStream ins, String filter)`
`protected BundleContext` `getContext()`
`protected Class<?>` `resolveClass(ObjectStreamClass desc)`
`static Class<?>` `resolvePrimitiveClass(ObjectStreamClass desc, ClassNotFoundException cnfe)`

### Methods inherited from class java.io.ObjectInputStream

`available, close, defaultReadObject, enableResolveObject, read, read, readBoolean, readByte, readChar, readClassDescriptor, readDouble, readFields, readFloat, readFully, readFully, readInt, readLine, readLong, readObject, readObjectOverride, readShort, readStreamHeader, readUnshared, readUnsignedByte, readUnsignedShort, readUTF, registerValidation, resolveObject, resolveProxyClass, skipBytes`

### Methods inherited from class java.io.InputStream

`mark, markSupported, read, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.io.ObjectInput

`read, skip`

### Field Detail

#### primClasses

    public static final HashMap<String,Class<?>> primClasses

### Constructor Detail

#### ClassResolverObjectInputStream

    protected ClassResolverObjectInputStream(BundleContext ctxt,
                                             String classResolverFilter)
                                      throws IOException,
                                             SecurityException,
                                             InvalidSyntaxException

Throws:
  `IOException`
  `SecurityException`
  `InvalidSyntaxException`

#### ClassResolverObjectInputStream

    protected ClassResolverObjectInputStream(BundleContext ctxt)
                                      throws IOException,
                                             SecurityException,
                                             InvalidSyntaxException

Throws:
  `IOException`
  `SecurityException`
  `InvalidSyntaxException`

#### ClassResolverObjectInputStream

    public ClassResolverObjectInputStream(BundleContext ctxt,
                                          InputStream ins,
                                          String classResolverFilter)
                                   throws IOException,
                                          SecurityException,
                                          InvalidSyntaxException

Throws:
  `IOException`
  `SecurityException`
  `InvalidSyntaxException`

#### ClassResolverObjectInputStream

    public ClassResolverObjectInputStream(BundleContext ctxt,
                                          InputStream ins)
                                   throws IOException,
                                          SecurityException,
                                          InvalidSyntaxException

Throws:
  `IOException`
  `SecurityException`
  `InvalidSyntaxException`

### Method Detail

#### create

    public static ObjectInputStream create(BundleContext ctxt,
                                           InputStream ins,
                                           String filter)
                                    throws IOException,
                                           SecurityException

Throws:
  `IOException`
  `SecurityException`

#### create

    public static ObjectInputStream create(BundleContext ctxt,
                                           InputStream ins)
                                    throws IOException

Throws:
  `IOException`

#### getContext

    protected BundleContext getContext()

#### resolveClass

    protected Class<?> resolveClass(ObjectStreamClass desc)
                             throws IOException,
                                    ClassNotFoundException

Overrides:
  `resolveClass` in class `ObjectInputStream`
Throws:
  `IOException`
  `ClassNotFoundException`

#### resolvePrimitiveClass

    public static Class<?> resolvePrimitiveClass(ObjectStreamClass desc,
                                                 ClassNotFoundException cnfe)
                                          throws ClassNotFoundException

Throws:
  `ClassNotFoundException`